// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 52;
	objects = {

/* Begin PBXBuildFile section */
		1A09B05523CB2DFC000C58A5 /* CategoryCollectionViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A09B05323CB2DFC000C58A5 /* CategoryCollectionViewCell.swift */; };
		1A09B05623CB2DFC000C58A5 /* CategoryCollectionViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 1A09B05423CB2DFC000C58A5 /* CategoryCollectionViewCell.xib */; };
		1A09B05823CB2F1A000C58A5 /* ReuseIdentifiable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A09B05723CB2F1A000C58A5 /* ReuseIdentifiable.swift */; };
		1A09B05B23CB352F000C58A5 /* UserError.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A09B05A23CB352F000C58A5 /* UserError.swift */; };
		1A09B05E23CB39C6000C58A5 /* Kingfisher in Frameworks */ = {isa = PBXBuildFile; productRef = 1A09B05D23CB39C6000C58A5 /* Kingfisher */; };
		1A09B06023CB3D18000C58A5 /* Renderable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A09B05F23CB3D18000C58A5 /* Renderable.swift */; };
		1A09B06223CB3D61000C58A5 /* CategoryRendering.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A09B06123CB3D61000C58A5 /* CategoryRendering.swift */; };
		1A09B06823CB4266000C58A5 /* BrowseSnapshot.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A09B06723CB4266000C58A5 /* BrowseSnapshot.swift */; };
		1A09B06B23CB46AB000C58A5 /* NibInstantiable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A09B06A23CB46AB000C58A5 /* NibInstantiable.swift */; };
		1A1943DA2296B40A001C9347 /* SpotifyLoginCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A1943D92296B40A001C9347 /* SpotifyLoginCoordinator.swift */; };
		1A1943F722980578001C9347 /* ViewStatePresentable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A1943F122980578001C9347 /* ViewStatePresentable.swift */; };
		1A1943F822980578001C9347 /* ViewStatePresenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A1943F222980578001C9347 /* ViewStatePresenter.swift */; };
		1A1943F922980578001C9347 /* StateView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A1943F322980578001C9347 /* StateView.swift */; };
		1A1943FA22980578001C9347 /* ActivityStateView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A1943F422980578001C9347 /* ActivityStateView.swift */; };
		1A1943FB22980578001C9347 /* ActivityStateView.xib in Resources */ = {isa = PBXBuildFile; fileRef = 1A1943F522980578001C9347 /* ActivityStateView.xib */; };
		1A1943FC22980578001C9347 /* StateView.xib in Resources */ = {isa = PBXBuildFile; fileRef = 1A1943F622980578001C9347 /* StateView.xib */; };
		1A19440022980A16001C9347 /* UIViewControllerStatePresenterHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A1943FF22980A16001C9347 /* UIViewControllerStatePresenterHelper.swift */; };
		1A2221AE23EDB0BE0009504E /* ViewStatePresenterHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A2221AD23EDB0BD0009504E /* ViewStatePresenterHelper.swift */; };
		1A2221B323EDB1F90009504E /* AnimatedButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A2221B223EDB1F90009504E /* AnimatedButton.swift */; };
		1A2A92E423C6176700589B91 /* Alamofire in Frameworks */ = {isa = PBXBuildFile; productRef = 1A2A92E323C6176700589B91 /* Alamofire */; };
		1A2A92EA23C6192100589B91 /* CocoaLumberjackSwift in Frameworks */ = {isa = PBXBuildFile; productRef = 1A2A92E923C6192100589B91 /* CocoaLumberjackSwift */; };
		1A2A92EC23C6192100589B91 /* CocoaLumberjack in Frameworks */ = {isa = PBXBuildFile; productRef = 1A2A92EB23C6192100589B91 /* CocoaLumberjack */; };
		1A2A92EE23C61D5200589B91 /* UIButtonAppearanceHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A2A92ED23C61D5200589B91 /* UIButtonAppearanceHelper.swift */; };
		1A2A92F023C63A8500589B91 /* UIViewControllerChildrenHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A2A92EF23C63A8500589B91 /* UIViewControllerChildrenHelper.swift */; };
		1A57663E229ECF5900785E71 /* UIApplicationInfoHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57663D229ECF5900785E71 /* UIApplicationInfoHelper.swift */; };
		1A576640229ED30D00785E71 /* Library.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57663F229ED30D00785E71 /* Library.swift */; };
		1A576643229ED32500785E71 /* Token.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576641229ED32500785E71 /* Token.swift */; };
		1A576644229ED32500785E71 /* User.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576642229ED32500785E71 /* User.swift */; };
		1A576646229ED59B00785E71 /* RequestAdapter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576645229ED59B00785E71 /* RequestAdapter.swift */; };
		1A576678229FE87B00785E71 /* TrackModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576671229FE87B00785E71 /* TrackModel.swift */; };
		1A576679229FE87B00785E71 /* UserModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576672229FE87B00785E71 /* UserModel.swift */; };
		1A57667A229FE87B00785E71 /* TokenModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576673229FE87B00785E71 /* TokenModel.swift */; };
		1A57667B229FE87B00785E71 /* ImageModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576674229FE87B00785E71 /* ImageModel.swift */; };
		1A57667C229FE87B00785E71 /* AlbumModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576675229FE87B00785E71 /* AlbumModel.swift */; };
		1A57667D229FE87B00785E71 /* CopyrightModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576676229FE87B00785E71 /* CopyrightModel.swift */; };
		1A57667E229FE87B00785E71 /* ArtistModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576677229FE87B00785E71 /* ArtistModel.swift */; };
		1A576680229FF0A900785E71 /* DecodableDate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57667F229FF0A900785E71 /* DecodableDate.swift */; };
		1A576687229FF58B00785E71 /* PagingModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A576686229FF58B00785E71 /* PagingModel.swift */; };
		1A57668922A02AD000785E71 /* PagingParam.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57668822A02AD000785E71 /* PagingParam.swift */; };
		1A57668B22A02E3500785E71 /* SavedTrackModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57668A22A02E3500785E71 /* SavedTrackModel.swift */; };
		1A57668F22A02F6D00785E71 /* Browse.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57668E22A02F6D00785E71 /* Browse.swift */; };
		1A57669122A0307B00785E71 /* CategoryModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57669022A0307B00785E71 /* CategoryModel.swift */; };
		1A57669322A0318B00785E71 /* PlaylistModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57669222A0318B00785E71 /* PlaylistModel.swift */; };
		1A57669522A0330000785E71 /* DateFormatter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57669422A0330000785E71 /* DateFormatter.swift */; };
		1A57669D22A036FC00785E71 /* HomeCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57669C22A036FC00785E71 /* HomeCoordinator.swift */; };
		1A57669F22A06BE400785E71 /* RequestRetrier.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A57669E22A06BE400785E71 /* RequestRetrier.swift */; };
		1A5766A322A06F9100785E71 /* SpotifyAPIError.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766A222A06F9100785E71 /* SpotifyAPIError.swift */; };
		1A5766AA22A1315A00785E71 /* BrowseViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766A822A1315A00785E71 /* BrowseViewController.swift */; };
		1A5766AB22A1315A00785E71 /* BrowseViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = 1A5766A922A1315A00785E71 /* BrowseViewController.xib */; };
		1A5766B822A133FF00785E71 /* AppNavigationService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766AD22A133FF00785E71 /* AppNavigationService.swift */; };
		1A5766B922A133FF00785E71 /* AppFlow.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766AE22A133FF00785E71 /* AppFlow.swift */; };
		1A5766BA22A133FF00785E71 /* RootCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766AF22A133FF00785E71 /* RootCoordinator.swift */; };
		1A5766BB22A133FF00785E71 /* AppearanceService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766B122A133FF00785E71 /* AppearanceService.swift */; };
		1A5766BC22A133FF00785E71 /* AppContext.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766B222A133FF00785E71 /* AppContext.swift */; };
		1A5766BD22A133FF00785E71 /* SpotifyAuthService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766B422A133FF00785E71 /* SpotifyAuthService.swift */; };
		1A5766BE22A133FF00785E71 /* SpotifyAuthServiceErrorCodes.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766B522A133FF00785E71 /* SpotifyAuthServiceErrorCodes.swift */; };
		1A5766BF22A133FF00785E71 /* StorageService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766B722A133FF00785E71 /* StorageService.swift */; };
		1A5766C122A1340D00785E71 /* Colors.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766C022A1340D00785E71 /* Colors.swift */; };
		1A5766C522A13C7E00785E71 /* LibraryViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766C322A13C7E00785E71 /* LibraryViewController.swift */; };
		1A5766C622A13C7E00785E71 /* LibraryViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = 1A5766C422A13C7E00785E71 /* LibraryViewController.xib */; };
		1A5766C822A1758100785E71 /* BrowseViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A5766C722A1758100785E71 /* BrowseViewModel.swift */; };
		1A702D5823EC4EE200E1AE17 /* UIColorHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A702D5723EC4EE200E1AE17 /* UIColorHelper.swift */; };
		1A702D5C23EC52C900E1AE17 /* GenreCollectionViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A702D5A23EC52C900E1AE17 /* GenreCollectionViewCell.swift */; };
		1A702D5D23EC52C900E1AE17 /* GenreCollectionViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 1A702D5B23EC52C900E1AE17 /* GenreCollectionViewCell.xib */; };
		1A702D5F23EC52DC00E1AE17 /* GenreRendering.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A702D5E23EC52DC00E1AE17 /* GenreRendering.swift */; };
		1A702D6123EC5D2700E1AE17 /* BrowseLayout.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A702D6023EC5D2700E1AE17 /* BrowseLayout.swift */; };
		1A87705F216A5147008C885D /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A87705E216A5147008C885D /* AppDelegate.swift */; };
		1A877066216A5149008C885D /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 1A877065216A5149008C885D /* Assets.xcassets */; };
		1A877087216A5372008C885D /* Endpoint.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A877084216A5372008C885D /* Endpoint.swift */; };
		1A877088216A5372008C885D /* HTTPClient.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A877085216A5372008C885D /* HTTPClient.swift */; };
		1A877089216A5372008C885D /* SpotifyAPI.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A877086216A5372008C885D /* SpotifyAPI.swift */; };
		1A877099216B347B008C885D /* OAuth2.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A877098216B347B008C885D /* OAuth2.swift */; };
		1A87709C216CEF1E008C885D /* URLSchemes.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A87709B216CEF1E008C885D /* URLSchemes.swift */; };
		1A87709F216CFE63008C885D /* URLQueryHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A87709E216CFE63008C885D /* URLQueryHelper.swift */; };
		1A8770A1216D02CF008C885D /* DictionaryQueryItemsHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770A0216D02CF008C885D /* DictionaryQueryItemsHelper.swift */; };
		1A8770A8216D33B1008C885D /* Config.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770A7216D33B1008C885D /* Config.swift */; };
		1A8770AA216D363E008C885D /* AppURL.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770A9216D363E008C885D /* AppURL.swift */; };
		1A8770AC216D3682008C885D /* URLTypes.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770AB216D3682008C885D /* URLTypes.swift */; };
		1A8770B6216E1BFE008C885D /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 1A8770B5216E1BFE008C885D /* LaunchScreen.storyboard */; };
		1A8770BC216E1F11008C885D /* Environment.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770BB216E1F11008C885D /* Environment.swift */; };
		1A8770C0216E2761008C885D /* SpotifyLoginViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770BE216E2761008C885D /* SpotifyLoginViewController.swift */; };
		1A8770C1216E2761008C885D /* SpotifyLoginViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = 1A8770BF216E2761008C885D /* SpotifyLoginViewController.xib */; };
		1A8770C3216EA267008C885D /* UIAlertControllerDefaults.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770C2216EA267008C885D /* UIAlertControllerDefaults.swift */; };
		1A8770C5216EA5A6008C885D /* UIApplicationNameHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770C4216EA5A6008C885D /* UIApplicationNameHelper.swift */; };
		1A8770CF21709AB3008C885D /* RoundedButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770CE21709AB3008C885D /* RoundedButton.swift */; };
		1A8770D42170A62C008C885D /* UIButtonSolidColorHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8770D32170A62C008C885D /* UIButtonSolidColorHelper.swift */; };
		1A8B7FB6229E9C4900458CDB /* Log.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8B7FB5229E9C4900458CDB /* Log.swift */; };
		1A8B7FB8229EAB4800458CDB /* Device.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8B7FB7229EAB4800458CDB /* Device.swift */; };
		1A8B7FBC229EBFE200458CDB /* LogFormatter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1A8B7FBB229EBFE200458CDB /* LogFormatter.swift */; };
		1ADD63DF2403FC60004383E4 /* KeyValueStorage.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1ADD63DE2403FC60004383E4 /* KeyValueStorage.swift */; };
		1AFD10AE23CCA33300AFCD11 /* GenreModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1AFD10AC23CCA28D00AFCD11 /* GenreModel.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		1A09B05323CB2DFC000C58A5 /* CategoryCollectionViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CategoryCollectionViewCell.swift; sourceTree = "<group>"; };
		1A09B05423CB2DFC000C58A5 /* CategoryCollectionViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = CategoryCollectionViewCell.xib; sourceTree = "<group>"; };
		1A09B05723CB2F1A000C58A5 /* ReuseIdentifiable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ReuseIdentifiable.swift; sourceTree = "<group>"; };
		1A09B05A23CB352F000C58A5 /* UserError.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserError.swift; sourceTree = "<group>"; };
		1A09B05F23CB3D18000C58A5 /* Renderable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; name = Renderable.swift; path = Rendering/Renderable.swift; sourceTree = "<group>"; };
		1A09B06123CB3D61000C58A5 /* CategoryRendering.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; name = CategoryRendering.swift; path = ../../Models/CategoryRendering.swift; sourceTree = "<group>"; };
		1A09B06723CB4266000C58A5 /* BrowseSnapshot.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrowseSnapshot.swift; sourceTree = "<group>"; };
		1A09B06A23CB46AB000C58A5 /* NibInstantiable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NibInstantiable.swift; sourceTree = "<group>"; };
		1A1943D92296B40A001C9347 /* SpotifyLoginCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpotifyLoginCoordinator.swift; sourceTree = "<group>"; };
		1A1943F122980578001C9347 /* ViewStatePresentable.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ViewStatePresentable.swift; sourceTree = "<group>"; };
		1A1943F222980578001C9347 /* ViewStatePresenter.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ViewStatePresenter.swift; sourceTree = "<group>"; };
		1A1943F322980578001C9347 /* StateView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StateView.swift; sourceTree = "<group>"; };
		1A1943F422980578001C9347 /* ActivityStateView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ActivityStateView.swift; sourceTree = "<group>"; };
		1A1943F522980578001C9347 /* ActivityStateView.xib */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.xib; path = ActivityStateView.xib; sourceTree = "<group>"; };
		1A1943F622980578001C9347 /* StateView.xib */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.xib; path = StateView.xib; sourceTree = "<group>"; };
		1A1943FF22980A16001C9347 /* UIViewControllerStatePresenterHelper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UIViewControllerStatePresenterHelper.swift; sourceTree = "<group>"; };
		1A2221AD23EDB0BD0009504E /* ViewStatePresenterHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewStatePresenterHelper.swift; sourceTree = "<group>"; };
		1A2221B223EDB1F90009504E /* AnimatedButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AnimatedButton.swift; sourceTree = "<group>"; };
		1A2A92ED23C61D5200589B91 /* UIButtonAppearanceHelper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UIButtonAppearanceHelper.swift; sourceTree = "<group>"; };
		1A2A92EF23C63A8500589B91 /* UIViewControllerChildrenHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIViewControllerChildrenHelper.swift; sourceTree = "<group>"; };
		1A57663D229ECF5900785E71 /* UIApplicationInfoHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIApplicationInfoHelper.swift; sourceTree = "<group>"; };
		1A57663F229ED30D00785E71 /* Library.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Library.swift; sourceTree = "<group>"; };
		1A576641229ED32500785E71 /* Token.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Token.swift; sourceTree = "<group>"; };
		1A576642229ED32500785E71 /* User.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = User.swift; sourceTree = "<group>"; };
		1A576645229ED59B00785E71 /* RequestAdapter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RequestAdapter.swift; sourceTree = "<group>"; };
		1A576671229FE87B00785E71 /* TrackModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = TrackModel.swift; sourceTree = "<group>"; };
		1A576672229FE87B00785E71 /* UserModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UserModel.swift; sourceTree = "<group>"; };
		1A576673229FE87B00785E71 /* TokenModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = TokenModel.swift; sourceTree = "<group>"; };
		1A576674229FE87B00785E71 /* ImageModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ImageModel.swift; sourceTree = "<group>"; };
		1A576675229FE87B00785E71 /* AlbumModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AlbumModel.swift; sourceTree = "<group>"; };
		1A576676229FE87B00785E71 /* CopyrightModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = CopyrightModel.swift; sourceTree = "<group>"; };
		1A576677229FE87B00785E71 /* ArtistModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ArtistModel.swift; sourceTree = "<group>"; };
		1A57667F229FF0A900785E71 /* DecodableDate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DecodableDate.swift; sourceTree = "<group>"; };
		1A576686229FF58B00785E71 /* PagingModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PagingModel.swift; sourceTree = "<group>"; };
		1A57668822A02AD000785E71 /* PagingParam.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PagingParam.swift; sourceTree = "<group>"; };
		1A57668A22A02E3500785E71 /* SavedTrackModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SavedTrackModel.swift; sourceTree = "<group>"; };
		1A57668E22A02F6D00785E71 /* Browse.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Browse.swift; sourceTree = "<group>"; };
		1A57669022A0307B00785E71 /* CategoryModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CategoryModel.swift; sourceTree = "<group>"; };
		1A57669222A0318B00785E71 /* PlaylistModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PlaylistModel.swift; sourceTree = "<group>"; };
		1A57669422A0330000785E71 /* DateFormatter.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DateFormatter.swift; sourceTree = "<group>"; };
		1A57669C22A036FC00785E71 /* HomeCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeCoordinator.swift; sourceTree = "<group>"; };
		1A57669E22A06BE400785E71 /* RequestRetrier.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RequestRetrier.swift; sourceTree = "<group>"; };
		1A5766A222A06F9100785E71 /* SpotifyAPIError.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpotifyAPIError.swift; sourceTree = "<group>"; };
		1A5766A822A1315A00785E71 /* BrowseViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrowseViewController.swift; sourceTree = "<group>"; };
		1A5766A922A1315A00785E71 /* BrowseViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = BrowseViewController.xib; sourceTree = "<group>"; };
		1A5766AD22A133FF00785E71 /* AppNavigationService.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppNavigationService.swift; sourceTree = "<group>"; };
		1A5766AE22A133FF00785E71 /* AppFlow.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppFlow.swift; sourceTree = "<group>"; };
		1A5766AF22A133FF00785E71 /* RootCoordinator.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = RootCoordinator.swift; sourceTree = "<group>"; };
		1A5766B122A133FF00785E71 /* AppearanceService.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppearanceService.swift; sourceTree = "<group>"; };
		1A5766B222A133FF00785E71 /* AppContext.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppContext.swift; sourceTree = "<group>"; };
		1A5766B422A133FF00785E71 /* SpotifyAuthService.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SpotifyAuthService.swift; sourceTree = "<group>"; };
		1A5766B522A133FF00785E71 /* SpotifyAuthServiceErrorCodes.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SpotifyAuthServiceErrorCodes.swift; sourceTree = "<group>"; };
		1A5766B722A133FF00785E71 /* StorageService.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StorageService.swift; sourceTree = "<group>"; };
		1A5766C022A1340D00785E71 /* Colors.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Colors.swift; sourceTree = "<group>"; };
		1A5766C322A13C7E00785E71 /* LibraryViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LibraryViewController.swift; sourceTree = "<group>"; };
		1A5766C422A13C7E00785E71 /* LibraryViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = LibraryViewController.xib; sourceTree = "<group>"; };
		1A5766C722A1758100785E71 /* BrowseViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrowseViewModel.swift; sourceTree = "<group>"; };
		1A702D5723EC4EE200E1AE17 /* UIColorHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIColorHelper.swift; sourceTree = "<group>"; };
		1A702D5A23EC52C900E1AE17 /* GenreCollectionViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GenreCollectionViewCell.swift; sourceTree = "<group>"; };
		1A702D5B23EC52C900E1AE17 /* GenreCollectionViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = GenreCollectionViewCell.xib; sourceTree = "<group>"; };
		1A702D5E23EC52DC00E1AE17 /* GenreRendering.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GenreRendering.swift; sourceTree = "<group>"; };
		1A702D6023EC5D2700E1AE17 /* BrowseLayout.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BrowseLayout.swift; sourceTree = "<group>"; };
		1A87705B216A5147008C885D /* SpotifyBrowser.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = SpotifyBrowser.app; sourceTree = BUILT_PRODUCTS_DIR; };
		1A87705E216A5147008C885D /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		1A877065216A5149008C885D /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		1A87706A216A5149008C885D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		1A877084216A5372008C885D /* Endpoint.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Endpoint.swift; sourceTree = "<group>"; };
		1A877085216A5372008C885D /* HTTPClient.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = HTTPClient.swift; sourceTree = "<group>"; };
		1A877086216A5372008C885D /* SpotifyAPI.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SpotifyAPI.swift; sourceTree = "<group>"; };
		1A877098216B347B008C885D /* OAuth2.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OAuth2.swift; sourceTree = "<group>"; };
		1A87709B216CEF1E008C885D /* URLSchemes.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = URLSchemes.swift; sourceTree = "<group>"; };
		1A87709E216CFE63008C885D /* URLQueryHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = URLQueryHelper.swift; sourceTree = "<group>"; };
		1A8770A0216D02CF008C885D /* DictionaryQueryItemsHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DictionaryQueryItemsHelper.swift; sourceTree = "<group>"; };
		1A8770A7216D33B1008C885D /* Config.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Config.swift; sourceTree = "<group>"; };
		1A8770A9216D363E008C885D /* AppURL.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppURL.swift; sourceTree = "<group>"; };
		1A8770AB216D3682008C885D /* URLTypes.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = URLTypes.swift; sourceTree = "<group>"; };
		1A8770B5216E1BFE008C885D /* LaunchScreen.storyboard */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.storyboard; path = LaunchScreen.storyboard; sourceTree = "<group>"; };
		1A8770BB216E1F11008C885D /* Environment.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Environment.swift; sourceTree = "<group>"; };
		1A8770BE216E2761008C885D /* SpotifyLoginViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpotifyLoginViewController.swift; sourceTree = "<group>"; };
		1A8770BF216E2761008C885D /* SpotifyLoginViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = SpotifyLoginViewController.xib; sourceTree = "<group>"; };
		1A8770C2216EA267008C885D /* UIAlertControllerDefaults.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIAlertControllerDefaults.swift; sourceTree = "<group>"; };
		1A8770C4216EA5A6008C885D /* UIApplicationNameHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIApplicationNameHelper.swift; sourceTree = "<group>"; };
		1A8770CE21709AB3008C885D /* RoundedButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RoundedButton.swift; sourceTree = "<group>"; };
		1A8770D32170A62C008C885D /* UIButtonSolidColorHelper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = UIButtonSolidColorHelper.swift; sourceTree = "<group>"; };
		1A8B7FB5229E9C4900458CDB /* Log.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Log.swift; sourceTree = "<group>"; };
		1A8B7FB7229EAB4800458CDB /* Device.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Device.swift; sourceTree = "<group>"; };
		1A8B7FBB229EBFE200458CDB /* LogFormatter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LogFormatter.swift; sourceTree = "<group>"; };
		1ADD63DE2403FC60004383E4 /* KeyValueStorage.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyValueStorage.swift; sourceTree = "<group>"; };
		1AFD10AC23CCA28D00AFCD11 /* GenreModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GenreModel.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		1A877058216A5147008C885D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1A09B05E23CB39C6000C58A5 /* Kingfisher in Frameworks */,
				1A2A92EC23C6192100589B91 /* CocoaLumberjack in Frameworks */,
				1A2A92EA23C6192100589B91 /* CocoaLumberjackSwift in Frameworks */,
				1A2A92E423C6176700589B91 /* Alamofire in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		1A09B05923CB3518000C58A5 /* Models */ = {
			isa = PBXGroup;
			children = (
				1A09B05A23CB352F000C58A5 /* UserError.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		1A09B06923CB44BB000C58A5 /* Category */ = {
			isa = PBXGroup;
			children = (
				1A09B06123CB3D61000C58A5 /* CategoryRendering.swift */,
				1A09B05323CB2DFC000C58A5 /* CategoryCollectionViewCell.swift */,
				1A09B05423CB2DFC000C58A5 /* CategoryCollectionViewCell.xib */,
			);
			path = Category;
			sourceTree = "<group>";
		};
		1A1943E22296B9BB001C9347 /* Endpoints */ = {
			isa = PBXGroup;
			children = (
				1A57668E22A02F6D00785E71 /* Browse.swift */,
				1A57663F229ED30D00785E71 /* Library.swift */,
				1A57668822A02AD000785E71 /* PagingParam.swift */,
				1A576641229ED32500785E71 /* Token.swift */,
				1A576642229ED32500785E71 /* User.swift */,
			);
			path = Endpoints;
			sourceTree = "<group>";
		};
		1A1943F022980578001C9347 /* ViewStatePresenter */ = {
			isa = PBXGroup;
			children = (
				1A1943F422980578001C9347 /* ActivityStateView.swift */,
				1A1943F522980578001C9347 /* ActivityStateView.xib */,
				1A1943F322980578001C9347 /* StateView.swift */,
				1A1943F622980578001C9347 /* StateView.xib */,
				1A1943FF22980A16001C9347 /* UIViewControllerStatePresenterHelper.swift */,
				1A1943F122980578001C9347 /* ViewStatePresentable.swift */,
				1A1943F222980578001C9347 /* ViewStatePresenter.swift */,
			);
			path = ViewStatePresenter;
			sourceTree = "<group>";
		};
		1A2221B423EDB6DB0009504E /* Buttons */ = {
			isa = PBXGroup;
			children = (
				1A2221B223EDB1F90009504E /* AnimatedButton.swift */,
				1A8770CE21709AB3008C885D /* RoundedButton.swift */,
			);
			path = Buttons;
			sourceTree = "<group>";
		};
		1A576670229FE86400785E71 /* Models */ = {
			isa = PBXGroup;
			children = (
				1A576675229FE87B00785E71 /* AlbumModel.swift */,
				1A576677229FE87B00785E71 /* ArtistModel.swift */,
				1A57669022A0307B00785E71 /* CategoryModel.swift */,
				1A576676229FE87B00785E71 /* CopyrightModel.swift */,
				1AFD10AC23CCA28D00AFCD11 /* GenreModel.swift */,
				1A576674229FE87B00785E71 /* ImageModel.swift */,
				1A576686229FF58B00785E71 /* PagingModel.swift */,
				1A57669222A0318B00785E71 /* PlaylistModel.swift */,
				1A57668A22A02E3500785E71 /* SavedTrackModel.swift */,
				1A576673229FE87B00785E71 /* TokenModel.swift */,
				1A576671229FE87B00785E71 /* TrackModel.swift */,
				1A576672229FE87B00785E71 /* UserModel.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		1A576681229FF25C00785E71 /* Formatters */ = {
			isa = PBXGroup;
			children = (
				1A57669422A0330000785E71 /* DateFormatter.swift */,
			);
			path = Formatters;
			sourceTree = "<group>";
		};
		1A57669722A0353E00785E71 /* HomeScreen */ = {
			isa = PBXGroup;
			children = (
				1A57669C22A036FC00785E71 /* HomeCoordinator.swift */,
			);
			path = HomeScreen;
			sourceTree = "<group>";
		};
		1A5766A722A1313F00785E71 /* BrowseScreen */ = {
			isa = PBXGroup;
			children = (
				1A702D6023EC5D2700E1AE17 /* BrowseLayout.swift */,
				1A09B06723CB4266000C58A5 /* BrowseSnapshot.swift */,
				1A5766A822A1315A00785E71 /* BrowseViewController.swift */,
				1A5766A922A1315A00785E71 /* BrowseViewController.xib */,
				1A5766C722A1758100785E71 /* BrowseViewModel.swift */,
			);
			path = BrowseScreen;
			sourceTree = "<group>";
		};
		1A5766AC22A133FF00785E71 /* Navigation */ = {
			isa = PBXGroup;
			children = (
				1A5766AD22A133FF00785E71 /* AppNavigationService.swift */,
				1A5766AE22A133FF00785E71 /* AppFlow.swift */,
				1A5766AF22A133FF00785E71 /* RootCoordinator.swift */,
			);
			path = Navigation;
			sourceTree = "<group>";
		};
		1A5766B022A133FF00785E71 /* Appearance */ = {
			isa = PBXGroup;
			children = (
				1A5766B122A133FF00785E71 /* AppearanceService.swift */,
				1A5766C022A1340D00785E71 /* Colors.swift */,
			);
			path = Appearance;
			sourceTree = "<group>";
		};
		1A5766B322A133FF00785E71 /* Spotify */ = {
			isa = PBXGroup;
			children = (
				1A5766B422A133FF00785E71 /* SpotifyAuthService.swift */,
				1A5766B522A133FF00785E71 /* SpotifyAuthServiceErrorCodes.swift */,
			);
			path = Spotify;
			sourceTree = "<group>";
		};
		1A5766B622A133FF00785E71 /* Storage */ = {
			isa = PBXGroup;
			children = (
				1A5766B722A133FF00785E71 /* StorageService.swift */,
				1ADD63DE2403FC60004383E4 /* KeyValueStorage.swift */,
			);
			path = Storage;
			sourceTree = "<group>";
		};
		1A5766C222A13C6F00785E71 /* LibraryScreen */ = {
			isa = PBXGroup;
			children = (
				1A5766C322A13C7E00785E71 /* LibraryViewController.swift */,
				1A5766C422A13C7E00785E71 /* LibraryViewController.xib */,
			);
			path = LibraryScreen;
			sourceTree = "<group>";
		};
		1A702D5923EC52AC00E1AE17 /* Genre */ = {
			isa = PBXGroup;
			children = (
				1A702D5A23EC52C900E1AE17 /* GenreCollectionViewCell.swift */,
				1A702D5B23EC52C900E1AE17 /* GenreCollectionViewCell.xib */,
				1A702D5E23EC52DC00E1AE17 /* GenreRendering.swift */,
			);
			path = Genre;
			sourceTree = "<group>";
		};
		1A877052216A5147008C885D = {
			isa = PBXGroup;
			children = (
				1A87705D216A5147008C885D /* SpotifyBrowser */,
				1A87705C216A5147008C885D /* Products */,
				1A87707E216A52E4008C885D /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		1A87705C216A5147008C885D /* Products */ = {
			isa = PBXGroup;
			children = (
				1A87705B216A5147008C885D /* SpotifyBrowser.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		1A87705D216A5147008C885D /* SpotifyBrowser */ = {
			isa = PBXGroup;
			children = (
				1A8770A2216D2ED3008C885D /* App */,
				1A8770BA216E1EE4008C885D /* Environment */,
				1A87709D216CFE4A008C885D /* Helpers */,
				1A8B7FBA229EBFC800458CDB /* Log */,
				1A09B05923CB3518000C58A5 /* Models */,
				1A8770A6216D31F8008C885D /* Resources */,
				1A8770CD21709AA3008C885D /* Views */,
				1A87705E216A5147008C885D /* AppDelegate.swift */,
				1A8770A7216D33B1008C885D /* Config.swift */,
			);
			path = SpotifyBrowser;
			sourceTree = "<group>";
		};
		1A87707E216A52E4008C885D /* Frameworks */ = {
			isa = PBXGroup;
			children = (
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		1A877082216A534B008C885D /* Networking */ = {
			isa = PBXGroup;
			children = (
				1A87708A216A5376008C885D /* SpotifyAPI */,
				1A877083216A5352008C885D /* HTTPClient */,
			);
			path = Networking;
			sourceTree = "<group>";
		};
		1A877083216A5352008C885D /* HTTPClient */ = {
			isa = PBXGroup;
			children = (
				1A57667F229FF0A900785E71 /* DecodableDate.swift */,
				1A877084216A5372008C885D /* Endpoint.swift */,
				1A877085216A5372008C885D /* HTTPClient.swift */,
			);
			path = HTTPClient;
			sourceTree = "<group>";
		};
		1A87708A216A5376008C885D /* SpotifyAPI */ = {
			isa = PBXGroup;
			children = (
				1A1943E22296B9BB001C9347 /* Endpoints */,
				1A576681229FF25C00785E71 /* Formatters */,
				1A576670229FE86400785E71 /* Models */,
				1A877098216B347B008C885D /* OAuth2.swift */,
				1A877086216A5372008C885D /* SpotifyAPI.swift */,
				1A576645229ED59B00785E71 /* RequestAdapter.swift */,
				1A57669E22A06BE400785E71 /* RequestRetrier.swift */,
				1A5766A222A06F9100785E71 /* SpotifyAPIError.swift */,
			);
			path = SpotifyAPI;
			sourceTree = "<group>";
		};
		1A877090216AB01A008C885D /* Services */ = {
			isa = PBXGroup;
			children = (
				1A5766B222A133FF00785E71 /* AppContext.swift */,
				1A5766B022A133FF00785E71 /* Appearance */,
				1A5766AC22A133FF00785E71 /* Navigation */,
				1A5766B322A133FF00785E71 /* Spotify */,
				1A5766B622A133FF00785E71 /* Storage */,
			);
			path = Services;
			sourceTree = "<group>";
		};
		1A87709A216CEF08008C885D /* URLSchemes */ = {
			isa = PBXGroup;
			children = (
				1A8770A9216D363E008C885D /* AppURL.swift */,
				1A87709B216CEF1E008C885D /* URLSchemes.swift */,
				1A8770AB216D3682008C885D /* URLTypes.swift */,
			);
			path = URLSchemes;
			sourceTree = "<group>";
		};
		1A87709D216CFE4A008C885D /* Helpers */ = {
			isa = PBXGroup;
			children = (
				1A8770A0216D02CF008C885D /* DictionaryQueryItemsHelper.swift */,
				1A09B06A23CB46AB000C58A5 /* NibInstantiable.swift */,
				1A09B05723CB2F1A000C58A5 /* ReuseIdentifiable.swift */,
				1A8770C2216EA267008C885D /* UIAlertControllerDefaults.swift */,
				1A57663D229ECF5900785E71 /* UIApplicationInfoHelper.swift */,
				1A8770C4216EA5A6008C885D /* UIApplicationNameHelper.swift */,
				1A2A92ED23C61D5200589B91 /* UIButtonAppearanceHelper.swift */,
				1A8770D32170A62C008C885D /* UIButtonSolidColorHelper.swift */,
				1A702D5723EC4EE200E1AE17 /* UIColorHelper.swift */,
				1A2A92EF23C63A8500589B91 /* UIViewControllerChildrenHelper.swift */,
				1A87709E216CFE63008C885D /* URLQueryHelper.swift */,
				1A2221AD23EDB0BD0009504E /* ViewStatePresenterHelper.swift */,
			);
			path = Helpers;
			sourceTree = "<group>";
		};
		1A8770A2216D2ED3008C885D /* App */ = {
			isa = PBXGroup;
			children = (
				1A877082216A534B008C885D /* Networking */,
				1A8770AD216E1A88008C885D /* Screens */,
				1A877090216AB01A008C885D /* Services */,
				1A87709A216CEF08008C885D /* URLSchemes */,
			);
			path = App;
			sourceTree = "<group>";
		};
		1A8770A6216D31F8008C885D /* Resources */ = {
			isa = PBXGroup;
			children = (
				1A877065216A5149008C885D /* Assets.xcassets */,
				1A87706A216A5149008C885D /* Info.plist */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		1A8770AD216E1A88008C885D /* Screens */ = {
			isa = PBXGroup;
			children = (
				1A5766A722A1313F00785E71 /* BrowseScreen */,
				1A57669722A0353E00785E71 /* HomeScreen */,
				1A8770AE216E1AB0008C885D /* LaunchScreen */,
				1A5766C222A13C6F00785E71 /* LibraryScreen */,
				1A8770BD216E273D008C885D /* LoginScreen */,
			);
			path = Screens;
			sourceTree = "<group>";
		};
		1A8770AE216E1AB0008C885D /* LaunchScreen */ = {
			isa = PBXGroup;
			children = (
				1A8770B5216E1BFE008C885D /* LaunchScreen.storyboard */,
			);
			path = LaunchScreen;
			sourceTree = "<group>";
		};
		1A8770BA216E1EE4008C885D /* Environment */ = {
			isa = PBXGroup;
			children = (
				1A8B7FB7229EAB4800458CDB /* Device.swift */,
				1A8770BB216E1F11008C885D /* Environment.swift */,
			);
			path = Environment;
			sourceTree = "<group>";
		};
		1A8770BD216E273D008C885D /* LoginScreen */ = {
			isa = PBXGroup;
			children = (
				1A8770BE216E2761008C885D /* SpotifyLoginViewController.swift */,
				1A8770BF216E2761008C885D /* SpotifyLoginViewController.xib */,
				1A1943D92296B40A001C9347 /* SpotifyLoginCoordinator.swift */,
			);
			path = LoginScreen;
			sourceTree = "<group>";
		};
		1A8770CD21709AA3008C885D /* Views */ = {
			isa = PBXGroup;
			children = (
				1A2221B423EDB6DB0009504E /* Buttons */,
				1A702D5923EC52AC00E1AE17 /* Genre */,
				1A09B06923CB44BB000C58A5 /* Category */,
				1A1943F022980578001C9347 /* ViewStatePresenter */,
				1A09B05F23CB3D18000C58A5 /* Renderable.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		1A8B7FBA229EBFC800458CDB /* Log */ = {
			isa = PBXGroup;
			children = (
				1A8B7FB5229E9C4900458CDB /* Log.swift */,
				1A8B7FBB229EBFE200458CDB /* LogFormatter.swift */,
			);
			path = Log;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		1A87705A216A5147008C885D /* SpotifyBrowser */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 1A877078216A5149008C885D /* Build configuration list for PBXNativeTarget "SpotifyBrowser" */;
			buildPhases = (
				1A877057216A5147008C885D /* Sources */,
				1A877058216A5147008C885D /* Frameworks */,
				1A877059216A5147008C885D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = SpotifyBrowser;
			packageProductDependencies = (
				1A2A92E323C6176700589B91 /* Alamofire */,
				1A2A92E923C6192100589B91 /* CocoaLumberjackSwift */,
				1A2A92EB23C6192100589B91 /* CocoaLumberjack */,
				1A09B05D23CB39C6000C58A5 /* Kingfisher */,
			);
			productName = spotifybrowser;
			productReference = 1A87705B216A5147008C885D /* SpotifyBrowser.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		1A877053216A5147008C885D /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1000;
				LastUpgradeCheck = 1000;
				ORGANIZATIONNAME = "Radoslav Blasko";
				TargetAttributes = {
					1A87705A216A5147008C885D = {
						CreatedOnToolsVersion = 10.0;
						LastSwiftMigration = 1020;
						SystemCapabilities = {
							com.apple.ApplicationGroups.iOS = {
								enabled = 0;
							};
						};
					};
				};
			};
			buildConfigurationList = 1A877056216A5147008C885D /* Build configuration list for PBXProject "SpotifyBrowser" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 1A877052216A5147008C885D;
			packageReferences = (
				1A2A92E223C6176700589B91 /* XCRemoteSwiftPackageReference "Alamofire" */,
				1A2A92E823C6192100589B91 /* XCRemoteSwiftPackageReference "CocoaLumberjack" */,
				1A09B05C23CB39C6000C58A5 /* XCRemoteSwiftPackageReference "Kingfisher" */,
			);
			productRefGroup = 1A87705C216A5147008C885D /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				1A87705A216A5147008C885D /* SpotifyBrowser */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		1A877059216A5147008C885D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1A8770C1216E2761008C885D /* SpotifyLoginViewController.xib in Resources */,
				1A1943FC22980578001C9347 /* StateView.xib in Resources */,
				1A8770B6216E1BFE008C885D /* LaunchScreen.storyboard in Resources */,
				1A877066216A5149008C885D /* Assets.xcassets in Resources */,
				1A09B05623CB2DFC000C58A5 /* CategoryCollectionViewCell.xib in Resources */,
				1A5766C622A13C7E00785E71 /* LibraryViewController.xib in Resources */,
				1A5766AB22A1315A00785E71 /* BrowseViewController.xib in Resources */,
				1A702D5D23EC52C900E1AE17 /* GenreCollectionViewCell.xib in Resources */,
				1A1943FB22980578001C9347 /* ActivityStateView.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		1A877057216A5147008C885D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1A09B05523CB2DFC000C58A5 /* CategoryCollectionViewCell.swift in Sources */,
				1A09B06B23CB46AB000C58A5 /* NibInstantiable.swift in Sources */,
				1A702D6123EC5D2700E1AE17 /* BrowseLayout.swift in Sources */,
				1A2A92F023C63A8500589B91 /* UIViewControllerChildrenHelper.swift in Sources */,
				1A702D5823EC4EE200E1AE17 /* UIColorHelper.swift in Sources */,
				1A877089216A5372008C885D /* SpotifyAPI.swift in Sources */,
				1A877099216B347B008C885D /* OAuth2.swift in Sources */,
				1A1943F922980578001C9347 /* StateView.swift in Sources */,
				1A09B05B23CB352F000C58A5 /* UserError.swift in Sources */,
				1ADD63DF2403FC60004383E4 /* KeyValueStorage.swift in Sources */,
				1A8770CF21709AB3008C885D /* RoundedButton.swift in Sources */,
				1A09B05823CB2F1A000C58A5 /* ReuseIdentifiable.swift in Sources */,
				1A1943DA2296B40A001C9347 /* SpotifyLoginCoordinator.swift in Sources */,
				1A57669D22A036FC00785E71 /* HomeCoordinator.swift in Sources */,
				1A5766C822A1758100785E71 /* BrowseViewModel.swift in Sources */,
				1A5766A322A06F9100785E71 /* SpotifyAPIError.swift in Sources */,
				1A8770C0216E2761008C885D /* SpotifyLoginViewController.swift in Sources */,
				1A8B7FB6229E9C4900458CDB /* Log.swift in Sources */,
				1AFD10AE23CCA33300AFCD11 /* GenreModel.swift in Sources */,
				1A576679229FE87B00785E71 /* UserModel.swift in Sources */,
				1A57667D229FE87B00785E71 /* CopyrightModel.swift in Sources */,
				1A8770BC216E1F11008C885D /* Environment.swift in Sources */,
				1A87709C216CEF1E008C885D /* URLSchemes.swift in Sources */,
				1A5766B922A133FF00785E71 /* AppFlow.swift in Sources */,
				1A1943F722980578001C9347 /* ViewStatePresentable.swift in Sources */,
				1A1943F822980578001C9347 /* ViewStatePresenter.swift in Sources */,
				1A5766BC22A133FF00785E71 /* AppContext.swift in Sources */,
				1A5766BF22A133FF00785E71 /* StorageService.swift in Sources */,
				1A5766AA22A1315A00785E71 /* BrowseViewController.swift in Sources */,
				1A19440022980A16001C9347 /* UIViewControllerStatePresenterHelper.swift in Sources */,
				1A576680229FF0A900785E71 /* DecodableDate.swift in Sources */,
				1A8770A8216D33B1008C885D /* Config.swift in Sources */,
				1A8770AC216D3682008C885D /* URLTypes.swift in Sources */,
				1A5766BA22A133FF00785E71 /* RootCoordinator.swift in Sources */,
				1A2A92EE23C61D5200589B91 /* UIButtonAppearanceHelper.swift in Sources */,
				1A09B06023CB3D18000C58A5 /* Renderable.swift in Sources */,
				1A8B7FB8229EAB4800458CDB /* Device.swift in Sources */,
				1A576644229ED32500785E71 /* User.swift in Sources */,
				1A2221B323EDB1F90009504E /* AnimatedButton.swift in Sources */,
				1A2221AE23EDB0BE0009504E /* ViewStatePresenterHelper.swift in Sources */,
				1A57668922A02AD000785E71 /* PagingParam.swift in Sources */,
				1A576687229FF58B00785E71 /* PagingModel.swift in Sources */,
				1A57669322A0318B00785E71 /* PlaylistModel.swift in Sources */,
				1A57668B22A02E3500785E71 /* SavedTrackModel.swift in Sources */,
				1A5766C122A1340D00785E71 /* Colors.swift in Sources */,
				1A87709F216CFE63008C885D /* URLQueryHelper.swift in Sources */,
				1A57667B229FE87B00785E71 /* ImageModel.swift in Sources */,
				1A57663E229ECF5900785E71 /* UIApplicationInfoHelper.swift in Sources */,
				1A576643229ED32500785E71 /* Token.swift in Sources */,
				1A877087216A5372008C885D /* Endpoint.swift in Sources */,
				1A576640229ED30D00785E71 /* Library.swift in Sources */,
				1A877088216A5372008C885D /* HTTPClient.swift in Sources */,
				1A5766BD22A133FF00785E71 /* SpotifyAuthService.swift in Sources */,
				1A576646229ED59B00785E71 /* RequestAdapter.swift in Sources */,
				1A5766BE22A133FF00785E71 /* SpotifyAuthServiceErrorCodes.swift in Sources */,
				1A8770C3216EA267008C885D /* UIAlertControllerDefaults.swift in Sources */,
				1A5766BB22A133FF00785E71 /* AppearanceService.swift in Sources */,
				1A702D5C23EC52C900E1AE17 /* GenreCollectionViewCell.swift in Sources */,
				1A8770A1216D02CF008C885D /* DictionaryQueryItemsHelper.swift in Sources */,
				1A87705F216A5147008C885D /* AppDelegate.swift in Sources */,
				1A57668F22A02F6D00785E71 /* Browse.swift in Sources */,
				1A5766C522A13C7E00785E71 /* LibraryViewController.swift in Sources */,
				1A576678229FE87B00785E71 /* TrackModel.swift in Sources */,
				1A1943FA22980578001C9347 /* ActivityStateView.swift in Sources */,
				1A57669122A0307B00785E71 /* CategoryModel.swift in Sources */,
				1A8770AA216D363E008C885D /* AppURL.swift in Sources */,
				1A702D5F23EC52DC00E1AE17 /* GenreRendering.swift in Sources */,
				1A09B06823CB4266000C58A5 /* BrowseSnapshot.swift in Sources */,
				1A57667A229FE87B00785E71 /* TokenModel.swift in Sources */,
				1A8770D42170A62C008C885D /* UIButtonSolidColorHelper.swift in Sources */,
				1A57669522A0330000785E71 /* DateFormatter.swift in Sources */,
				1A8770C5216EA5A6008C885D /* UIApplicationNameHelper.swift in Sources */,
				1A57667C229FE87B00785E71 /* AlbumModel.swift in Sources */,
				1A5766B822A133FF00785E71 /* AppNavigationService.swift in Sources */,
				1A57669F22A06BE400785E71 /* RequestRetrier.swift in Sources */,
				1A57667E229FE87B00785E71 /* ArtistModel.swift in Sources */,
				1A09B06223CB3D61000C58A5 /* CategoryRendering.swift in Sources */,
				1A8B7FBC229EBFE200458CDB /* LogFormatter.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		1A877076216A5149008C885D /* Develop */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG DEVELOP";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
			};
			name = Develop;
		};
		1A877077216A5149008C885D /* Staging */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = STAGING;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				SWIFT_VERSION = 5.0;
				VALIDATE_PRODUCT = YES;
			};
			name = Staging;
		};
		1A877079216A5149008C885D /* Develop */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 623KFYEN4J;
				INFOPLIST_FILE = spotifybrowser/Resources/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.iamrado.spotifybrowser;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Develop;
		};
		1A87707A216A5149008C885D /* Staging */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 623KFYEN4J;
				INFOPLIST_FILE = spotifybrowser/Resources/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.iamrado.spotifybrowser;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Staging;
		};
		1A8770B7216E1D8A008C885D /* Production */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = PRODUCTION;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				SWIFT_VERSION = 5.0;
				VALIDATE_PRODUCT = YES;
			};
			name = Production;
		};
		1A8770B8216E1D8A008C885D /* Production */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 623KFYEN4J;
				INFOPLIST_FILE = spotifybrowser/Resources/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.iamrado.spotifybrowser;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Production;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		1A877056216A5147008C885D /* Build configuration list for PBXProject "SpotifyBrowser" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1A877076216A5149008C885D /* Develop */,
				1A877077216A5149008C885D /* Staging */,
				1A8770B7216E1D8A008C885D /* Production */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Staging;
		};
		1A877078216A5149008C885D /* Build configuration list for PBXNativeTarget "SpotifyBrowser" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1A877079216A5149008C885D /* Develop */,
				1A87707A216A5149008C885D /* Staging */,
				1A8770B8216E1D8A008C885D /* Production */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Staging;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		1A09B05C23CB39C6000C58A5 /* XCRemoteSwiftPackageReference "Kingfisher" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/onevcat/Kingfisher.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 5.12.0;
			};
		};
		1A2A92E223C6176700589B91 /* XCRemoteSwiftPackageReference "Alamofire" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/Alamofire/Alamofire.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 4.8.0;
			};
		};
		1A2A92E823C6192100589B91 /* XCRemoteSwiftPackageReference "CocoaLumberjack" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/CocoaLumberjack/CocoaLumberjack.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 3.6.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		1A09B05D23CB39C6000C58A5 /* Kingfisher */ = {
			isa = XCSwiftPackageProductDependency;
			package = 1A09B05C23CB39C6000C58A5 /* XCRemoteSwiftPackageReference "Kingfisher" */;
			productName = Kingfisher;
		};
		1A2A92E323C6176700589B91 /* Alamofire */ = {
			isa = XCSwiftPackageProductDependency;
			package = 1A2A92E223C6176700589B91 /* XCRemoteSwiftPackageReference "Alamofire" */;
			productName = Alamofire;
		};
		1A2A92E923C6192100589B91 /* CocoaLumberjackSwift */ = {
			isa = XCSwiftPackageProductDependency;
			package = 1A2A92E823C6192100589B91 /* XCRemoteSwiftPackageReference "CocoaLumberjack" */;
			productName = CocoaLumberjackSwift;
		};
		1A2A92EB23C6192100589B91 /* CocoaLumberjack */ = {
			isa = XCSwiftPackageProductDependency;
			package = 1A2A92E823C6192100589B91 /* XCRemoteSwiftPackageReference "CocoaLumberjack" */;
			productName = CocoaLumberjack;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = 1A877053216A5147008C885D /* Project object */;
}
